//
//  ContentView.swift
//  SngineWeb
//
//  Created by Zamblek Tech
//

import SwiftUI
import WebKit

struct ContentView: View {
    private let urlString: String = "https://demo.sngine.com/"
    var body: some View {
        WebView(url: URL(string: urlString)!)
    }
}

struct WebView: UIViewRepresentable {
    var url: URL
    
    func makeUIView(context: Context) -> WKWebView {
        let webView = WKWebView()

        // Enable WebRTC.
        webView.configuration.allowsInlineMediaPlayback = true

        return webView
      }
    
    func updateUIView(_ uiView: WKWebView, context: Context) {
        let request = URLRequest(url: url)
        uiView.load(request)
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
